Bug 586614 - Update putty to the lastest svn(GTK2) version?
Update putty to the lastest svn(GTK2) version?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: putty (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Mark Chappell
Fedora Extras Quality Assurance
:
Depends On: 588616
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 20:49 EDT by Chen Lei
Modified: 2010-09-23 08:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: putty-0.60-6.20100910svn.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 21:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Lei 2010-04-27 20:49:48 EDT
Description of problem:

The GTK1.2 PuTTY client to be a bit aged. The Putty GTK2 client is now part of the main trunk for development. 

See http://jamesmcdonald.id.au/open-source-apps/putty-gtk2

Debian sid already switched from 0.60beta to svn(GTK2) version, I hope fedora can do the same. I also suggest to add a noarch -doc subpackage(html documentations) as the debian counterpart.

See http://packages.debian.org/source/sid/putty
Comment 1 Chen Lei 2010-05-22 07:23:53 EDT
Hi Patrick,

I already made the SRPM for putty(gtk2) based on your spec, do you mind to merge this SRPM to cvs?

SPEC:http://dl.dropbox.com/u/1338197/1/putty.spec
SRPM:http://dl.dropbox.com/u/1338197/1/putty-0.60-5.20100504svn.fc13.sup.src.rpm
Comment 2 Fedora Update System 2010-09-10 09:30:19 EDT
putty-0.60-6.8991svn.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/putty-0.60-6.8991svn.fc13
Comment 3 Fedora Update System 2010-09-10 09:32:37 EDT
putty-0.60-6.8991svn.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/putty-0.60-6.8991svn.fc14
Comment 4 Mark Chappell 2010-09-10 09:35:13 EDT
Hi Chen, 

Sorry about the delay on this.  gtk2 version should hit the testing repos soon.  I'd appreciate some testing, I've only got an f13 i686 box available to me at the minute.
Comment 5 Fedora Update System 2010-09-10 11:13:45 EDT
putty-0.60-6.20100910svn.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update putty'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/putty-0.60-6.20100910svn.fc14
Comment 6 Fedora Update System 2010-09-20 21:41:02 EDT
putty-0.60-6.20100910svn.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-09-23 08:30:56 EDT
putty-0.60-6.20100910svn.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.